
QGIS Application - Bug report #17049

line width is not respected if geometry is 3D

2017-08-22 02:18 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: DXF export

Affected QGIS version:2.18.12 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24948

Description

exporting DXF of a 3D line layer doesn't produce lines of the desired width as defined in layer styling (even if all altitudes are 0).

is this possible to fix this?

or propose a force 2d option?

affects 2.18 and master

Associated revisions

Revision 12e69d09 - 2017-08-30 12:50 AM - Jürgen Fischer

dxf export:

    -  empty field name resets to layer name (fixes #17060)

    -  allow forcing to 2d to support polyline width (fixes #17049)

Revision 238a119f - 2017-09-04 11:12 AM - Jürgen Fischer

dxf export: allow forcing to 2d to support polyline width (fixes #17049)

(backported from commit 12e69d09914d443adb2ca48f8c89416fc762cd64)

History

#1 - 2017-08-23 03:32 PM - Jürgen Fischer

Did you try https://gist.github.com/jef-n/c3118bc4c3416cc5df7f11d5d1b865d4?

#2 - 2017-08-23 03:40 PM - Denis Rouzaud

yep, doesn't work....

#3 - 2017-08-30 12:50 AM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|12e69d09914d443adb2ca48f8c89416fc762cd64.
